## org.apache.poi.poifs.dev
Class POIFSLister

    java.lang.Object
      org.apache.poi.poifs.dev.POIFSLister

    public class POIFSLister

extends java.lang.Object

A lister of the entries in POIFS files. Much simpler than `POIFSViewer`

Constructor Summary
`POIFSLister()`

Method Summary
`static void` `displayDirectory(DirectoryNode dir, java.lang.String indent, boolean withSizes)`
`static void` `main(java.lang.String[] args)` Display the entries of multiple POIFS files
`static void` `viewFile(java.lang.String filename, boolean withSizes)`
`static void` `viewFileOld(java.lang.String filename, boolean withSizes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POIFSLister

    public POIFSLister()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Display the entries of multiple POIFS files

  Parameters:
    `args` - the names of the files to be displayed
  Throws:
    `java.io.IOException`

### viewFile

    public static void viewFile(java.lang.String filename,
                                boolean withSizes)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### viewFileOld

    public static void viewFileOld(java.lang.String filename,
                                   boolean withSizes)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### displayDirectory

    public static void displayDirectory(DirectoryNode dir,
                                        java.lang.String indent,
                                        boolean withSizes)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.